<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />
	
	<xsl:template match="op:binAltM">
		<xsl:apply-templates select="sp:alt" />
	</xsl:template>
	
	<xsl:template match="sp:alt">
		<xsl:apply-templates />
	</xsl:template>
	
	<xsl:template match="op:altRes">
		<xsl:apply-templates select="sp:*[not(self::sp:txt)][1]" />
		<xsl:apply-templates select="sp:txt[1]" />
	</xsl:template>

	<xsl:template match="sp:txt">
		<texteAlternatif>
			<xsl:value-of select="normalize-space(.)" />
		</texteAlternatif>
	</xsl:template>
	
	<xsl:template match="sp:img | sp:tab | sp:graph | sp:form">
		<xsl:call-template name="tMedia">
			<xsl:with-param name="pEltName">mediaAlternatif</xsl:with-param>
			<xsl:with-param name="pBasePath">
				<xsl:call-template name="tGetParam">
					<xsl:with-param name="pName">basePath</xsl:with-param>
				</xsl:call-template>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

</xsl:stylesheet>

