<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:res">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sp:txt">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>

	<xsl:template match="sp:txtRes">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Il n&apos;y a pas de correspondance au texte illustré dans
				inter-UNT. Il a été mis à plat.</xsl:with-param>
		</xsl:call-template>
		<!-- Les groupes de ressources sont mis l'un en dessous de l'autre en fonction de la position défini par l'auteur -->
		<xsl:choose>
			<xsl:when test="op:txtRes/op:txtResM/sp:pos = 'lft'">
				<xsl:apply-templates select="op:txtRes/sp:res" />
				<xsl:apply-templates select="op:txtRes/sp:txt" />
			</xsl:when>
			<xsl:otherwise>
				<xsl:apply-templates select="op:txtRes/sp:txt" />
				<xsl:apply-templates select="op:txtRes/sp:res" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template match="sp:img | sp:res | sp:tab | sp:graph | sp:vid | sp:int | sp:form">
		<xsl:call-template name="tMedia" />
	</xsl:template>

	<!-- TODO : message -->
	<xsl:template match="sp:listing">
		<paragraphe>
			<code>
				<xsl:value-of select="normalize-space(.)" />
			</code>
		</paragraphe>
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Le listing a été converti en un paragraphe.</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="sp:bkquote">
		<paragraphe>
			<locution>
				<type>citation</type>
				<xsl:value-of select="normalize-space(.)" />
			</locution>
		</paragraphe>
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Le bloc de citation a été converti en un paragraphe.</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template match="sp:zoom">
		<xsl:variable name="vExtension">
			<xsl:call-template name="tExtension">
				<xsl:with-param name="pFilename" select="extractFileNameFromPath(@sc:refUri)" />
			</xsl:call-template>
		</xsl:variable>

		<xsl:choose>
			<xsl:when test="$vExtension = 'xml'">
				<xsl:variable name="vBasePath">
					<xsl:call-template name="tCurrentAbsPath" />
				</xsl:variable>
				<xsl:value-of select="resultatAgent(concat('@', gotoSubModel(), '/xhtmlContent'),
					concat('basePath=', $vBasePath,';'))" disable-output-escaping="yes"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="tMedia" />
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>

