<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:courseUa | op:assmntUa" name="tSectUa">
		<SECTION titre="{op:uM/sp:title}" label="{$vCurrentId}">
			<xsl:apply-templates select="*[name()!='op:uM' and name()!='sp:conclu' and name()!='sp:genRef']"/><!-- utile pour ordonancement correct avec les questions de synthèse -->
			<xsl:apply-templates select="sp:conclu"/>
			<xsl:apply-templates select="sp:genRef"/>
		</SECTION>
	</xsl:template>
		
	<xsl:template match="sp:obj">
		<OBJECTIFS>				
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</OBJECTIFS>
	</xsl:template>
	
	<xsl:template match="sp:intro">
		<INTRODUCTION >
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</INTRODUCTION>
	</xsl:template>
	
	<xsl:template match="sp:conclu">
		<CONCLUSION>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</CONCLUSION>
	</xsl:template>
		
	<!-- # Questions de synthèse -->
	<xsl:template match="sp:quest">
		<xsl:variable name="vTitle"><xsl:apply-templates select="." mode="label"/></xsl:variable>
		<GRAIN titre="{$vTitle}" label="{getDialogVar('child.id')}-quest-{count(preceding-sibling::sp:quest)}">
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
		</GRAIN>
	</xsl:template>
	
	<xsl:template match="sp:quiz">
		<!-- Tjs internalisé pour faciliter la récupération -->
		<GRAIN titre="Quiz {count(preceding-sibling::sp:quiz) + 1}" label="{getDialogVar('child.id')}-quiz-{count(preceding-sibling::sp:quiz)}">
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"/>
		</GRAIN>
	</xsl:template>
	
	<!-- Elements non gérés :
			- uM
			- sc:feedbacks	
	-->

</xsl:stylesheet>





