<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:binM">
		<xsl:apply-templates select="sp:info/op:infoBin"/>
	</xsl:template>
	
	<xsl:template match="op:infoBin">
		<CREDITS>
			<xsl:apply-templates/>
		</CREDITS>
	</xsl:template>
	
	<xsl:template match="sp:cc">
		<BR/><B><xsl:text>- Licence Creative Commons </xsl:text></B><xsl:text>: http://creativecommons.org/licenses/</xsl:text><xsl:value-of select="."/><xsl:text>/2.0/fr/&#160;; </xsl:text>
	</xsl:template>
	
	<xsl:template match="sp:cpyrgt">
		<BR/><B><xsl:text>- Copyright : </xsl:text></B><xsl:value-of select="getContent(gotoSubModel(), 'texte')" disable-output-escaping="yes"/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	
	<!-- dublinCore -->
	<xsl:template match="sp:dc">
		<xsl:apply-templates select="op:dc/*"/>
	</xsl:template>
	<xsl:template match="sp:auth">
		<BR/><B><xsl:text>- Auteur : </xsl:text></B><xsl:value-of select="."/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:cont">
		<BR/><B><xsl:text>- Contributeur : </xsl:text></B><xsl:value-of select="."/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:publisher">
		<BR/><B><xsl:text>- Editeur : </xsl:text></B><xsl:value-of select="."/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:desc">
		<BR/><B><xsl:text>- Description : </xsl:text></B><xsl:value-of select="getContent(gotoSubModel(), 'texte')" disable-output-escaping="yes" /><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:objs">
		<BR/><B><xsl:text>- Objectifs Pédagogiques : </xsl:text></B>
		<xsl:for-each select="sp:obj">
			<NBSP/><xsl:text>* </xsl:text><xsl:value-of select="."/>
		</xsl:for-each>
	</xsl:template>
	<xsl:template match="sp:lang[text()='FR' or text()='EN']">
		<BR/><B><xsl:text>- Langue : </xsl:text></B><xsl:value-of select="si(.='FR', 'Française', 'Anglaise')"/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:cover[text()='FR' or text()='EN']">
		<BR/><B><xsl:text>- Couverture spatiale : </xsl:text></B><xsl:value-of select="."/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:date">
		<BR/><B><xsl:text>- Date : </xsl:text></B><xsl:value-of select="."/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	<xsl:template match="sp:level">
		<BR/><B><xsl:text>- Niveau : </xsl:text></B><xsl:value-of select="si(.='L', 'Licence', si(.='M', 'Master', 'Doctorat'))"/><xsl:text>&#160;; </xsl:text>
	</xsl:template>
	 	 		
</xsl:stylesheet>
