<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />
	
	<xsl:template match="op:mcqMur | op:mcqSur">
		<QCM>
			<QUESTIONQCM>
				<xsl:apply-templates/>
			</QUESTIONQCM>
		</QCM>
	</xsl:template>
	
	<xsl:template match="sc:question">
		<ENONCEQCM>
			<xsl:value-of select="getContent(gotoSubModel(), 'texte')" disable-output-escaping="yes" />
		</ENONCEQCM>
	</xsl:template>
	
	<xsl:template match="sc:choices">
		<xsl:apply-templates/>
	</xsl:template>
	
	<xsl:template match="sc:choice[ancestor::op:mcqMur]">
		<REPONSEQCM bonne="{si(@solution='checked', 'oui', 'non')}">
			<xsl:apply-templates/>
		</REPONSEQCM>
	</xsl:template>
	
	<xsl:template match="sc:choice[ancestor::op:mcqSur]">
		<REPONSEQCM bonne="{si(count(preceding-sibling::sc:choice) + 1 = ancestor::op:mcqSur/sc:solution/@choice, 'oui', 'non')}">
			<xsl:apply-templates/>
		</REPONSEQCM>
	</xsl:template>
	<xsl:template match="sc:solution"/><!-- déja traité ci dessus -->
	
	<xsl:template match="sc:choiceLabel">
		<TEXTEREP>
			<xsl:value-of select="getContent(gotoSubModel(), 'texte')" disable-output-escaping="yes" />
		</TEXTEREP>
	</xsl:template>
	<xsl:template match="sc:choiceExplanation">
		<COMMENTAIREREP>
			<xsl:value-of select="getContent(gotoSubModel(), 'texte')" disable-output-escaping="yes" />
		</COMMENTAIREREP>
	</xsl:template>
	
	<!-- NOTE : pas mieux comme structure dans UVED pour habriter la globalExplanation... -->
	<xsl:template match="sc:globalExplanation">
		<AIDE>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</AIDE>
	</xsl:template>
	
	
	
</xsl:stylesheet>



