<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" 
				xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
				xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" 
				xmlns:op="utc.fr:ics/opale3"
				exclude-result-prefixes="sc sp op">
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:include href="bsco:export.xsl" />
	<xsl:include href="bsco:uved.xsl" />

	<xsl:template match="op:ue">
		<CONTENUS titre="{op:ueM/sp:title}">
			<PRESENTATION>
				<CARACTERISTIQUE/>
				<FINALITE>
					<xsl:apply-templates select="sp:obj"/>
				</FINALITE>
				<CONTENU/>
			</PRESENTATION>
			<!-- sections -->
			<xsl:apply-templates select="*[name()!='op:ueM' and name()!='sp:obj']"/>
		</CONTENUS>
	</xsl:template>
	
	<xsl:template match="sp:obj">
		<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
	</xsl:template>
	
	<xsl:template match="op:ue/sp:courseUc | op:ue/sp:practUc | op:ue/sp:trainUc">
		<!-- GRAIN interdit en fils de CONTENU -->
		<SECTION label="main-uc-{count(preceding-sibling::*[name()='sp:courseUc' or name()='sp:practUc' or name()='sp:trainUc'])}" titre="{getFullTitleText(gotoSubModel())}">
			<xsl:call-template name="tGetGrain"/>
		</SECTION>
	</xsl:template>

	<xsl:template match="sp:intro">
		<xsl:variable name="vTitle"><xsl:apply-templates select="." mode="label"/></xsl:variable>
		<SECTION label="main-intro" titre="{$vTitle}">
			<INTRODUCTION>
				<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
			</INTRODUCTION>
		</SECTION>
	</xsl:template>
		
	<xsl:template match="sp:conclu">
		<xsl:variable name="vTitle"><xsl:apply-templates select="." mode="label"/></xsl:variable>
		<SECTION label="main-intro" titre="{$vTitle}">
			<CONCLUSION>
				<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
			</CONCLUSION>
		</SECTION>
	</xsl:template>
	
</xsl:stylesheet>



